QGIS Redmine (QGIS bug tracker) - Support #7029
Frequent errors 500
2013-01-22 10:05 AM - Paolo Cavallini

Status: Closed Start date: 2013-01-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Pull Request or Patch supplied: Tag:

Description

In the last couple of days I'm getting frequent errors from https://issues.qgis.org/login :

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.
Back

History

#1 - 2013-01-22 11:18 AM - Jiirgen Fischer

Found something in the production.log:

Processing AccountController#login (for XXX at 2013-01-22 11:09:44) [POST]
Parameters: {"back_url"=>"http%3A%2F%2Fhub.qgis.org%2Fissues%2F7029", "action"=>"login", "authenticity_token"=>"XXX",
"username”=>"XXXXX", "controller"=>"account", "password"=>"[FILTERED]", "login"=>"Login »"}

IniFile::Error (could not parse line '<<<<<<< HEAD):
inifile (0.3.0) lib/inifile.rb:304:in “parse’
inifile (0.3.0) lib/inifile.rb:284:in “open’
inifile (0.3.0) lib/inifile.rb:284:in “parse’
inifile (0.3.0) lib/inifile.rb:52:in “initialize’

(
)
)
)

vendor/plugins/redmine_gitosis/app/models/gitosis_observer.rb:22:in “update_repositories'
vendor/plugins/redmine_gitosis/app/models/gitosis_observer.rb:13:in “after_save'
/usr/lib/ruby/1.8/observer.rb:185:in "notify_observers'

/usr/lib/ruby/1.8/observer.rb:184:in “each’

/usr/lib/ruby/1.8/observer.rb:184:in "notify_observers'

app/models/user.rb:127:in ‘try_to_login'

app/controllers/account_controller.rb:147:in “password_authentication’
app/controllers/account_controller.rb:142:in “authenticate_user'
app/controllers/account_controller.rb:30:in “login'
/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in ‘process_request'
/ust/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in ‘main_loop’
/ustr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in “start_request_handler'
/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in "handle_spawn_application’
/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in “safe_fork'
/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in “handle_spawn_application'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in"__send_ '
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in ‘main_loop'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in “start_synchronously’
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in “start'
/ust/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in “start'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in ‘spawn_rails_application'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in Jlookup_or_add'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in ‘spawn_rails_application'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in ‘synchronize'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in ‘synchronize'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in ‘spawn_rails_application'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in “spawn_application'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in *handle_spawn_application'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in"__send_ '
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in ‘main_loop'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in “start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

Apparently a residue from merge conflict somewhere. | found a bunch of gitosis.conf which are located in /var/www/redmine/tmp/*/gitosis/gitosis.conf - not

sure if those are actually used or a backup copy from somewhere else. But | fixed the latest copy:

diff --git a/var/www/redmine/tmp/redmine_gitosis_1358758948/gitosis/gitosis.conf
b/var/www/redmine/tmp/redmine_gitosis_1358881784/gitosis/gitosis.conf

index a93b2d1..178d7e2 100644

--- a/var/www/redmine/tmp/redmine_gitosis_1358758948/gitosis/gitosis.conf

+++ b/var/www/redmine/tmp/redmine_gitosis_1358881784/gitosis/gitosis.conf
@@ -87,7 +87,11 @@ members =

[group imagemapplugin]
writable = imagemapplugin
+<<<<<<< HEAD

members = rduivenvoorde-rduivenvoorde- rduivenvoorde-richard_duif net-

+members = rduivenvoorde-richard_duif net-

+>>>>>>> Reverted last commit

[group multiview]
writable = multiview
@@ -157,7 +161,11 @@ members =

[group simplesvg]
writable = simplesvg
+<<<<<<< HEAD

members = rduivenvoorde-rduivenvoorde- rduivenvoorde-richard_duif _net-

+members = rduivenvoorde-richard_duif_net-

+>>>>>>> Reverted last commit
[repo gem-mt]

daemon = yes

Maybe someone else can shed light on this...
#2 - 2013-01-23 12:13 AM - Pirmin Kalberer
- Status changed from Open to Closed

The merge conflicts were caused by a manual gitosis config conflicting with the redmine gitosis plugin. | solved the conflict manually in repo
gitosis@qgis.org:gitosis-admin.git.
